Bug 799074 - Use package-kit to install dependencies
Use package-kit to install dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 13:01 EST by Stef Walter
Modified: 2012-09-25 16:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 816946 (view as bug list)
Environment:
Last Closed: 2012-09-25 16:27:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch which uses package-kit to install dependencies (3.05 KB, patch)
2012-03-01 13:04 EST, Stef Walter
no flags Details | Diff

  None (edit)
Description Stef Walter 2012-03-01 13:01:21 EST
Currently when selecting different kinds of "User Account Configuration" in authconfig, a message is displayed if a dependency is not installed. 

This patch will add an 'Install' button. Uses package kit to perform the installation.
Comment 1 Stef Walter 2012-03-01 13:04:20 EST
Created attachment 566903 [details]
Patch which uses package-kit to install dependencies

The patch uses the package-kit dbus interface to do the install. UI and dialogs are displayed by package-kit as child windows of the authconfig gtk window.

I'm not very familiar with Mercurial. Let me know if the patch isn't in an appropriate form.
Comment 2 Tomas Mraz 2012-05-30 11:50:19 EDT
I'm getting Failure using package kit: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/bin/gpk-dbus-service exited with status 1 if I try to test the patch and pushing the Install button.

(also fixed a typo in the patch)
Comment 3 Tomas Mraz 2012-05-30 11:51:12 EDT
Could the problem be that the authconfig runs as root?

Note You need to log in before you can comment on or make changes to this bug.